Chromium Code Reviews
Help | Chromium Project | Sign in
(124)

Issue 11267035: Fix layering violation where content is included by gpu. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 9 months ago by ccameron
Modified:
2 years, 9 months ago
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, jam
Visibility:
Public.

Description

Fix layering violation where content is included by gpu. Make WebGraphicsContext3DCommandBufferImpl aways use CommandBufferProxyImpl instead of the more abstract CommandBufferProxy. Then remove methods used only by WebGraphicsContext3DCommandBufferImpl from CommandBufferProxy. BUG=157175 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=164564

Patch Set 1 #

Patch Set 2 : Remove .gitmodules changes #

Patch Set 3 : Remove NOTIMPLEMENTED entrypoints #

Messages

Total messages: 9 (0 generated)
ccameron
There are also a massive number of methods in PpapiCommandBufferProxy which are marked as NOTIMPLEMENTED ...
2 years, 9 months ago (2012-10-25 08:22:53 UTC) #1
ccameron
I went ahead and got rid of all of the NOTIMPLEMENTED entrypoints from CommandBufferProxy. SetParent ...
2 years, 9 months ago (2012-10-25 08:58:40 UTC) #2
ccameron
Ping. Ptal.
2 years, 9 months ago (2012-10-26 17:38:47 UTC) #3
apatrick_chromium
On 2012/10/26 17:38:47, ccameron1 wrote: > Ping. Ptal. Did you set your reviewers?
2 years, 9 months ago (2012-10-26 19:20:31 UTC) #4
ccameron
Looks like the reviewers line got lost at some point.
2 years, 9 months ago (2012-10-26 19:24:11 UTC) #5
piman (Very slow to review)
lgtm
2 years, 9 months ago (2012-10-26 23:35:20 UTC) #6
ccameron
Thanks!!
2 years, 9 months ago (2012-10-27 23:26:32 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ccameron@chromium.org/11267035/10001
2 years, 9 months ago (2012-10-27 23:26:41 UTC) #8
commit-bot: I haz the power
2 years, 9 months ago (2012-10-28 13:05:28 UTC) #9
Change committed as 164564
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 5fa3ca5